用户组信息 私有

gitlab汉化小组

群成员为gitlab汉化做出贡献

最新帖子
发布在 GitLab新闻资讯

官方新闻 https://about.gitlab.com/2017/04/22/gitlab-9-1-released/#deprecations

Ubuntu12.04 Package

由于 Ubuntu12.04 将于2017年4月28日结束生命周期 , GitLab 也将发布支持Ubuntu12.04的最后一个版本 GitLab 9.1。 如果还想继续使用新版 GitLab,请及时升级到14.04或者16.04。

OpenSUSE 13.2

OpenSUSE 13.2 也于2017年1月17日结束生命周期 ,GitLab 也将发布支持OpenSUSE 13.2的最后一个版本 GitLab 9.1。GitLab9.2 可在 OpenSUSE 42.1 上继续使用。

发布在 GitLab新闻资讯

GitLab 9.0 在经过8.x系列18个月的千锤百炼终于于北京时间3月23日正式发布,国内清华大学的镜像源可能要延迟1-2天才会更新,但是使用源码安装的现在就可以升级到9.0了。

9.0 更新内容

次级群组

9.0在接受用户反馈后,对组结构进行了升级,9.0版本开放了次级群组的功能,我们可以在一个群组里面再创建一个或者多个次级群组,对代码仓库的权限区分更为细致。

次级群组是什么样子的呢,举例来说,比如我们已经存在一个gitlab-nested的群组,我们将它再细分为design设计团队,backend后端团队,frontend前端团队,而且我们还可以更细致的划分次级群组,如design的次级群组ux, marketing

次级群组

部署面板 企业版专供

提供了CI/CD系统可视化的界面,但是该功能仅企业版可用,这里也没必要多做介绍了,直接看图吧。

部署面板

发布在 GitLab 交流

@robin 别光点赞啊,是解决了还是没解决

发布在 Linux技术交流

Google BBR是一个TCP拥塞优化算法,在Linux Kernel 4.9版本中引入.

GitHub项目地址 https://github.com/google/bbr

关于BBR的算法,知乎大神对此进行了详细的阐述,想了解算法的请查看https://www.zhihu.com/question/53559433

内核升级

要使用Google BBR需要Linux kernel >= 4.9 , 如使用虚拟服务器 , 请注意只有 KVM , XEN 可以升级。

Ubuntu 升级内核

# 下载内核
$ curl -O http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.10.1/linux-image-4.10.1-041001-generic_4.10.1-041001.201702260735_amd64.deb
# 安装内核
$ dpkg -i linux-image-4.10.1-041001-generic_4.10.1-041001.201702260735_amd64.deb
# 更新引导
$ update-grub

CentOS6 升级内核

# 添加ELrepo
$ rpm --import https://www.elrepo.org/RPM-GPG-KEY-elrepo.org
$ rpm -Uvh http://www.elrepo.org/elrepo-release-6-6.el6.elrepo.noarch.rpm
# 升级内核
$ yum --enablerepo=elrepo-kernel install kernel-ml -y
# 更新引导
$ sed -i 's/default=0/default=1/g' /etc/grub.conf

启用BBR

首先确认内核是否升级成功

uname -r #使用该命令查看当前内核版本, >= 4.9 即可

下面修改内核参数

$ sudo bash -c 'echo "net.core.default_qdisc=fq" >> /etc/sysctl.conf'
$ sudo bash -c 'echo "net.ipv4.tcp_congestion_control=bbr" >> /etc/sysctl.conf'
# 使修改生效
$ sudo sysctl -p

检查bbr是否启用成功

$ sysctl net.ipv4.tcp_available_congestion_control
net.ipv4.tcp_available_congestion_control = bbr cubic reno #有此条记录表示成功
$ lsmod | grep bbr
tcp_bbr                20480  1

发布在 Docker

Docker现在也分了CE社区版和EE企业版.

ubuntu安装Docker CE

官方链接https://store.docker.com/editions/community/docker-ce-server-ubuntu?tab=description

安装需求

Docker CE需要以下代码版本的x64 Ubuntu:

  • Yakkety 16.10
  • Xenial 16.04
  • Trusty 14.04

添加Docker CE仓库

添加前使用lsb_release -cs再次确认下系统版本

$ sudo apt-get -y install \
  apt-transport-https \
  ca-certificates \
  curl

$ curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -

$ sudo add-apt-repository \
       "deb [arch=amd64] https://download.docker.com/linux/ubuntu \
       $(lsb_release -cs) \
       stable"

$ sudo apt-get update

安装Docker CE

安装最新版本的Docker CE

sudo apt-get -y install docker-ce

发布在 GitLab 交流

没玩过CAS,帮不到你了

发布在 GitLab 交流

@神仙茶 版本不一样,不通用,会有部分页面500错误

发布在 GitLab 交流

@robin

git fsck修复下提示出错的仓库试试,也就是rdApp/rdcode

发布在 GitLab 交流

@小草莓 注册都关了,用户怎么注册的

发布在 GitLab 交流

@小草莓 unsubscribe 是不订阅消息通知。。。

与 gitlab汉化小组 的用户组 的连接断开,我们正在尝试重连,请耐心等待